#include <LiquidCrystal.h>

LiquidCrystal lcd(13, 12, 11, 10, 9, 8);

const int gripperPot = A0;
const int rotatePot = A1;
const int wristPot = A2;
const int elbowPot = A3;
const int shoulderPot = A4;
const int basePot = A5;

int gripperPotVal;
int rotatePotVal;
int wristPotVal;
int elbowPotVal;
int shoulderPotVal;
int basePotVal;

void setup()
{
  lcd.begin(16, 2);

  pinMode(gripperPot, INPUT);
  pinMode(rotatePot, INPUT);
  pinMode(wristPot, INPUT);
  pinMode(elbowPot, INPUT);
  pinMode(shoulderPot, INPUT);
  pinMode(basePot, INPUT);

  lcd.print("Hello World");

  delay(2000);

  lcd.clear();
}

void loop()
{

  gripperPotVal = analogRead(gripperPot);
  rotatePotVal = analogRead(rotatePot);
  wristPotVal = analogRead(wristPot);
  elbowPotVal = analogRead(elbowPot);
  shoulderPotVal = analogRead(shoulderPot);
  basePotVal = analogRead(basePot);

  gripperPotVal = map(gripperPotVal, 0, 1023, 0, 180);
  rotatePotVal = map(rotatePotVal, 0, 1023, 0, 180);
  wristPotVal = map(wristPotVal, 0, 1023, 0, 180);
  elbowPotVal = map(elbowPotVal, 0, 1023, 0, 180);
  shoulderPotVal = map(shoulderPotVal, 0, 1023, 0, 180);
  basePotVal = map(basePotVal, 0, 1023, 0, 180);

  lcd.setCursor(0, 0);
  lcd.print("B");
  lcd.setCursor(1, 0);
  lcd.print("   ");
  lcd.setCursor(1, 0);
  lcd.print(basePotVal);

  lcd.setCursor(6, 0);
  lcd.print("S");
  lcd.setCursor(7, 0);
  lcd.print("   ");
  lcd.setCursor(7, 0);
  lcd.print(shoulderPotVal);

  lcd.setCursor(12, 0);
  lcd.print("E");
  lcd.setCursor(13, 0);
  lcd.print("   ");
  lcd.setCursor(13, 0);
  lcd.print(elbowPotVal);

  lcd.setCursor(0, 1);
  lcd.print("W");
  lcd.setCursor(1, 1);
  lcd.print("   ");
  lcd.setCursor(1, 1);
  lcd.print(wristPotVal);

  lcd.setCursor(6, 1);
  lcd.print("R");
  lcd.setCursor(7, 1);
  lcd.print("   ");
  lcd.setCursor(7, 1);
  lcd.print(rotatePotVal);

  lcd.setCursor(12, 1);
  lcd.print("G");
  lcd.setCursor(13, 1);
  lcd.print("   ");
  lcd.setCursor(13, 1);
  lcd.print(gripperPotVal);

}

